Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.view.model.localization
Class LocalizationViewModelService_Test

    java.lang.Object
      org.eclipse.emfforms.internal.view.model.localization.LocalizationViewModelService_Test

    public class LocalizationViewModelService_Test

extends Object

Constructor Summary
`LocalizationViewModelService_Test()`

Method Summary
`void` | `setup()`
`void` | `testGetPriority()` Test method for `LocalizationViewModelService.getPriority()`.
`void` | `testInstantiateDynamicAddSingleControlOnChild()` Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .
`void` | `testInstantiateDynamicAddSingleControlOnRoot()` Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .
`void` | `testInstantiateDynamicAddSubTreeOnChild()` Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .
`void` | `testInstantiateDynamicAddSubTreeOnRoot()` Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .
`void` | `testInstantiateDynamicNameChange()` Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .
`void` | `testInstantiateStatic()` Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .
`void` | `testInstantiateStaticNoLocalizationAdapter()` Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizationViewModelService_Test

    public LocalizationViewModelService_Test()

Method Detail

### setup

    public void setup()

### testInstantiateStatic

    public void testInstantiateStatic()

  Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

### testInstantiateStaticNoLocalizationAdapter

    public void testInstantiateStaticNoLocalizationAdapter()

  Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

### testInstantiateDynamicNameChange

    public void testInstantiateDynamicNameChange()

  Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

### testInstantiateDynamicAddSingleControlOnRoot

    public void testInstantiateDynamicAddSingleControlOnRoot()

  Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

### testInstantiateDynamicAddSingleControlOnChild

    public void testInstantiateDynamicAddSingleControlOnChild()

  Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

### testInstantiateDynamicAddSubTreeOnRoot

    public void testInstantiateDynamicAddSubTreeOnRoot()

  Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

### testInstantiateDynamicAddSubTreeOnChild

    public void testInstantiateDynamicAddSubTreeOnChild()

  Test method for `LocalizationViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

### testGetPriority

    public void testGetPriority()

  Test method for `LocalizationViewModelService.getPriority()`.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.